import { next } from './webring.ts';

export function redirectNext(req: Request) {
  const id = new URL(req.url).searchParams.get('id') ?? 'main';
  const item = next(id);
  const url = item?.url ?? new URL(req.url).origin;

  return new Response('', {
    status: 303,
    headers: {
      location: url,
      'cache-control': 'no-cache, no-store, no-transform',
    },
  });
}
